# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsGit/GitRevisionsSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_GitRevisionsSelectionDialog(object):
    def setupUi(self, GitRevisionsSelectionDialog):
        GitRevisionsSelectionDialog.setObjectName("GitRevisionsSelectionDialog")
        GitRevisionsSelectionDialog.resize(371, 497)
        GitRevisionsSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(GitRevisionsSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.rev1GroupBox = QtWidgets.QGroupBox(parent=GitRevisionsSelectionDialog)
        self.rev1GroupBox.setObjectName("rev1GroupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.rev1GroupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.rev1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.rev1Button.setObjectName("rev1Button")
        self.gridLayout.addWidget(self.rev1Button, 0, 0, 1, 1)
        self.rev1Edit = QtWidgets.QLineEdit(parent=self.rev1GroupBox)
        self.rev1Edit.setEnabled(False)
        self.rev1Edit.setObjectName("rev1Edit")
        self.gridLayout.addWidget(self.rev1Edit, 0, 1, 1, 1)
        self.tag1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.tag1Button.setObjectName("tag1Button")
        self.gridLayout.addWidget(self.tag1Button, 1, 0, 1, 1)
        self.tag1Combo = QtWidgets.QComboBox(parent=self.rev1GroupBox)
        self.tag1Combo.setEnabled(False)
        self.tag1Combo.setEditable(True)
        self.tag1Combo.setObjectName("tag1Combo")
        self.gridLayout.addWidget(self.tag1Combo, 1, 1, 1, 1)
        self.branch1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.branch1Button.setObjectName("branch1Button")
        self.gridLayout.addWidget(self.branch1Button, 2, 0, 1, 1)
        self.branch1Combo = QtWidgets.QComboBox(parent=self.rev1GroupBox)
        self.branch1Combo.setEnabled(False)
        self.branch1Combo.setEditable(True)
        self.branch1Combo.setObjectName("branch1Combo")
        self.gridLayout.addWidget(self.branch1Combo, 2, 1, 1, 1)
        self.tip1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.tip1Button.setChecked(False)
        self.tip1Button.setObjectName("tip1Button")
        self.gridLayout.addWidget(self.tip1Button, 3, 0, 1, 2)
        self.prev1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.prev1Button.setChecked(True)
        self.prev1Button.setObjectName("prev1Button")
        self.gridLayout.addWidget(self.prev1Button, 4, 0, 1, 2)
        self.none1Button = QtWidgets.QRadioButton(parent=self.rev1GroupBox)
        self.none1Button.setObjectName("none1Button")
        self.gridLayout.addWidget(self.none1Button, 5, 0, 1, 2)
        self.verticalLayout.addWidget(self.rev1GroupBox)
        self.rev2GroupBox = QtWidgets.QGroupBox(parent=GitRevisionsSelectionDialog)
        self.rev2GroupBox.setObjectName("rev2GroupBox")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.rev2GroupBox)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.rev2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.rev2Button.setObjectName("rev2Button")
        self.gridLayout_2.addWidget(self.rev2Button, 0, 0, 1, 1)
        self.rev2Edit = QtWidgets.QLineEdit(parent=self.rev2GroupBox)
        self.rev2Edit.setEnabled(False)
        self.rev2Edit.setObjectName("rev2Edit")
        self.gridLayout_2.addWidget(self.rev2Edit, 0, 1, 1, 1)
        self.tag2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.tag2Button.setObjectName("tag2Button")
        self.gridLayout_2.addWidget(self.tag2Button, 1, 0, 1, 1)
        self.tag2Combo = QtWidgets.QComboBox(parent=self.rev2GroupBox)
        self.tag2Combo.setEnabled(False)
        self.tag2Combo.setEditable(True)
        self.tag2Combo.setObjectName("tag2Combo")
        self.gridLayout_2.addWidget(self.tag2Combo, 1, 1, 1, 1)
        self.branch2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.branch2Button.setObjectName("branch2Button")
        self.gridLayout_2.addWidget(self.branch2Button, 2, 0, 1, 1)
        self.branch2Combo = QtWidgets.QComboBox(parent=self.rev2GroupBox)
        self.branch2Combo.setEnabled(False)
        self.branch2Combo.setEditable(True)
        self.branch2Combo.setObjectName("branch2Combo")
        self.gridLayout_2.addWidget(self.branch2Combo, 2, 1, 1, 1)
        self.tip2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.tip2Button.setChecked(True)
        self.tip2Button.setObjectName("tip2Button")
        self.gridLayout_2.addWidget(self.tip2Button, 3, 0, 1, 2)
        self.prev2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.prev2Button.setObjectName("prev2Button")
        self.gridLayout_2.addWidget(self.prev2Button, 4, 0, 1, 2)
        self.none2Button = QtWidgets.QRadioButton(parent=self.rev2GroupBox)
        self.none2Button.setObjectName("none2Button")
        self.gridLayout_2.addWidget(self.none2Button, 5, 0, 1, 2)
        self.verticalLayout.addWidget(self.rev2GroupBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=GitRevisionsSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(GitRevisionsSelectionDialog)
        self.buttonBox.accepted.connect(GitRevisionsSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(GitRevisionsSelectionDialog.reject) # type: ignore
        self.rev1Button.toggled['bool'].connect(self.rev1Edit.setEnabled) # type: ignore
        self.rev2Button.toggled['bool'].connect(self.rev2Edit.setEnabled) # type: ignore
        self.tag1Button.toggled['bool'].connect(self.tag1Combo.setEnabled) # type: ignore
        self.branch1Button.toggled['bool'].connect(self.branch1Combo.setEnabled) # type: ignore
        self.tag2Button.toggled['bool'].connect(self.tag2Combo.setEnabled) # type: ignore
        self.branch2Button.toggled['bool'].connect(self.branch2Combo.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(GitRevisionsSelectionDialog)
        GitRevisionsSelectionDialog.setTabOrder(self.rev1Button, self.rev1Edit)
        GitRevisionsSelectionDialog.setTabOrder(self.rev1Edit, self.tag1Button)
        GitRevisionsSelectionDialog.setTabOrder(self.tag1Button, self.tag1Combo)
        GitRevisionsSelectionDialog.setTabOrder(self.tag1Combo, self.branch1Button)
        GitRevisionsSelectionDialog.setTabOrder(self.branch1Button, self.branch1Combo)
        GitRevisionsSelectionDialog.setTabOrder(self.branch1Combo, self.tip1Button)
        GitRevisionsSelectionDialog.setTabOrder(self.tip1Button, self.prev1Button)
        GitRevisionsSelectionDialog.setTabOrder(self.prev1Button, self.none1Button)
        GitRevisionsSelectionDialog.setTabOrder(self.none1Button, self.rev2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.rev2Button, self.rev2Edit)
        GitRevisionsSelectionDialog.setTabOrder(self.rev2Edit, self.tag2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.tag2Button, self.tag2Combo)
        GitRevisionsSelectionDialog.setTabOrder(self.tag2Combo, self.branch2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.branch2Button, self.branch2Combo)
        GitRevisionsSelectionDialog.setTabOrder(self.branch2Combo, self.tip2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.tip2Button, self.prev2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.prev2Button, self.none2Button)
        GitRevisionsSelectionDialog.setTabOrder(self.none2Button, self.buttonBox)

    def retranslateUi(self, GitRevisionsSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        GitRevisionsSelectionDialog.setWindowTitle(_translate("GitRevisionsSelectionDialog", "Git Diff"))
        self.rev1GroupBox.setTitle(_translate("GitRevisionsSelectionDialog", "Revision &1"))
        self.rev1Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a revision expression"))
        self.rev1Button.setText(_translate("GitRevisionsSelectionDialog", "Commit:"))
        self.rev1Edit.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a commit id"))
        self.tag1Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a tag"))
        self.tag1Button.setText(_translate("GitRevisionsSelectionDialog", "Tag:"))
        self.tag1Combo.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a tag name"))
        self.branch1Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a branch"))
        self.branch1Button.setText(_translate("GitRevisionsSelectionDialog", "Branch:"))
        self.branch1Combo.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a branch name"))
        self.tip1Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select HEAD revision"))
        self.tip1Button.setText(_translate("GitRevisionsSelectionDialog", "HEAD"))
        self.prev1Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select revision before HEAD"))
        self.prev1Button.setText(_translate("GitRevisionsSelectionDialog", "HEAD^"))
        self.none1Button.setText(_translate("GitRevisionsSelectionDialog", "No revision selected"))
        self.rev2GroupBox.setTitle(_translate("GitRevisionsSelectionDialog", "Revision &2"))
        self.rev2Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a revision expression"))
        self.rev2Button.setText(_translate("GitRevisionsSelectionDialog", "Commit:"))
        self.rev2Edit.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a commit id"))
        self.tag2Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a tag"))
        self.tag2Button.setText(_translate("GitRevisionsSelectionDialog", "Tag:"))
        self.tag2Combo.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a tag name"))
        self.branch2Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select to specify a revision by a branch"))
        self.branch2Button.setText(_translate("GitRevisionsSelectionDialog", "Branch:"))
        self.branch2Combo.setToolTip(_translate("GitRevisionsSelectionDialog", "Enter a branch name"))
        self.tip2Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select HEAD revision"))
        self.tip2Button.setText(_translate("GitRevisionsSelectionDialog", "HEAD"))
        self.prev2Button.setToolTip(_translate("GitRevisionsSelectionDialog", "Select revision before HEAD"))
        self.prev2Button.setText(_translate("GitRevisionsSelectionDialog", "HEAD^"))
        self.none2Button.setText(_translate("GitRevisionsSelectionDialog", "No revision selected"))
